package cn.superdesk.uniorder.dao.mapper.sys.role;

import cn.superdesk.uniorder.dao.entity.sys.role.SysRole;

import java.util.List;
import java.util.Map;

public interface SysRoleMapper {

	int deleteByPrimaryKey(Long id);

	int insert(SysRole record);

	int insertSelective(SysRole record);

	SysRole selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(SysRole record);

	int updateByPrimaryKey(SysRole record);

	List<SysRole> findAll(Map<String, Object> params);

	SysRole findByAvicCode(String avicCode);
}